package com.sunwin.visitorapp.activity;

import android.os.Bundle;
import android.view.View;
import android.widget.RadioGroup;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentPagerAdapter;
import androidx.viewpager.widget.ViewPager;

import com.sunwin.visitorapp.BaseActivity;
import com.sunwin.visitorapp.R;
import com.sunwin.visitorapp.fragment.HomeFr;
import com.sunwin.visitorapp.fragment.PageManageFr;
import com.sunwin.visitorapp.view.UINav;

import static androidx.fragment.app.FragmentPagerAdapter.BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT;

public class SettingAc extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ac_setting);
        UINav nav = findViewById(R.id.UINav);
        nav.setData(this,"系统设置");


        ViewPager viewPager = findViewById(R.id.ViewPagerSetting);
        viewPager.setAdapter(new FragmentPagerAdapter(getSupportFragmentManager(),BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT) {
            @NonNull
            @Override
            public Fragment getItem(int position) {
                switch (position){
                    default:{
                        return new HomeFr();

                    }
                    case 5:{
                        return new PageManageFr();
                    }
                }

            }

            @Override
            public int getCount() {
                return 6;
            }
        });
        RadioGroup group = findViewById(R.id.RadioView);
        group.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                viewPager.setCurrentItem(group.indexOfChild(group.findViewById(checkedId)),false);
            }
        });

    }
}
